Bug 473811 - gcc-gnat references but does not provide libgnalasup.so
gcc-gnat references but does not provide libgnalasup.so
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-30 15:51 EST by Orion Poplawski
Modified: 2009-02-12 17:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-12 17:02:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2008-11-30 15:51:23 EST
Description of problem:

Linking an ada program with ADA 2007 support, I get:

Linking Ada executable x01a
cd /builddir/build/BUILD/plplot-5.9.0/fedora/examples/ada && /usr/bin/cmake -E cmake_link_script CMakeFiles/x01a.dir/link.txt --verbose=1
/usr/bin/gnatmake  -fPIC -aI/builddir/build/BUILD/plplot-5.9.0/fedora/examples/ada -aI/builddir/build/BUILD/plplot-5.9.0/fedora/bindings/ada -aL/builddir/build/BUILD/plplot-5.9.0/fedora/bindings/ada/CMakeFiles/plplotadad.dir x01a.adb -cargs -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -largs -rdynamic ../../bindings/ada/libplplotadad.so.0.0.0 ../../src/libplplotd.so.9.5.0 /usr/lib64/libltdl.so /usr/lib64/libdl.so ../../lib/csa/libcsirocsa.so.0.0.1 /usr/lib64/libm.so ../../lib/nn/libcsironn.so.0.0.1 /usr/lib64/libqhull.so /usr/lib64/libfreetype.so /usr/lib64/libgnat-4.3.so -Wl,-rpath,/builddir/build/BUILD/plplot-5.9.0/fedora/bindings/ada:/builddir/build/BUILD/plplot-5.9.0/fedora/src:/builddir/build/BUILD/plplot-5.9.0/fedora/lib/csa:/builddir/build/BUILD/plplot-5.9.0/fedora/lib/nn
gcc -c -fPIC -I/builddir/build/BUILD/plplot-5.9.0/fedora/examples/ada -I/builddir/build/BUILD/plplot-5.9.0/fedora/bindings/ada -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic x01a.adb
gnatbind -aI/builddir/build/BUILD/plplot-5.9.0/fedora/examples/ada -aI/builddir/build/BUILD/plplot-5.9.0/fedora/bindings/ada -aO/builddir/build/BUILD/plplot-5.9.0/fedora/bindings/ada/CMakeFiles/plplotadad.dir -x x01a.ali
gnatlink x01a.ali -fPIC -rdynamic ../../bindings/ada/libplplotadad.so.0.0.0 ../../src/libplplotd.so.9.5.0 /usr/lib64/libltdl.so /usr/lib64/libdl.so ../../lib/csa/libcsirocsa.so.0.0.1 /usr/lib64/libm.so ../../lib/nn/libcsironn.so.0.0.1 /usr/lib64/libqhull.so /usr/lib64/libfreetype.so /usr/lib64/libgnat-4.3.so -Wl,-rpath,/builddir/build/BUILD/plplot-5.9.0/fedora/bindings/ada:/builddir/build/BUILD/plplot-5.9.0/fedora/src:/builddir/build/BUILD/plplot-5.9.0/fedora/lib/csa:/builddir/build/BUILD/plplot-5.9.0/fedora/lib/nn
/usr/bin/ld: cannot find -lgnalasup

Nothing in the project refers to gnalasup, but it is mentioned in the following files in gcc-gnat:

/usr/lib/gcc/x86_64-redhat-linux/4.3.2/adainclude/i-forbla.adb
/usr/lib/gcc/x86_64-redhat-linux/4.3.2/adalib/i-forbla.ali

Version-Release number of selected component (if applicable):
gcc-gnat-4.3.2-7.x86_64
Comment 1 Orion Poplawski 2008-12-01 11:24:08 EST
For point of comparison, the following files in the Debian 4.3.2 gnat package:

/usr/lib/gcc/x86_64-linux-gnu/4.3/rts-native/adainclude/i-forbla.adb
/usr/lib/gcc/x86_64-linux-gnu/4.3/rts-sjlj/adainclude/i-forbla.adb
/usr/lib/gcc/x86_64-linux-gnu/4.3/rts-native/adalib/i-forbla.ali
/usr/lib/gcc/x86_64-linux-gnu/4.3/rts-sjlj/adalib/i-forbla.ali

do NOT mention gnalasup, and plplot builds fine there.
Comment 2 Jakub Jelinek 2009-01-26 04:05:32 EST
Please try gcc-4.4.0-0.9 in dist-f11-gcc44.
Comment 3 Orion Poplawski 2009-02-12 17:02:48 EST
Fixed.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.